=== debian/changelog ===
fcitx5 (5.1.11-2deepin9) unstable; urgency=medium

  * Add zh-HK translation support

 -- Wang Yu <wangyu@uniontch.com>  Fri, 04 Jul 2025 14:02:48 +0800

fcitx5 (5.1.11-2deepin8) unstable; urgency=medium

  * update default shortcut key for altTriggerKeys in fcitx5

 -- Wang Yu <wangyu@uniontch.com>  Mon, 16 Jun 2025 14:02:37 +0800

fcitx5 (5.1.11-2deepin7) unstable; urgency=medium

  * unify ShareInputState behavior across platforms

 -- Wang Yu <wangyu@uniontch.com>  Thu, 12 Jun 2025 11:34:40 +0800

fcitx5 (5.1.11-2deepin6) unstable; urgency=medium

  * remove send event to topLevel flag

 -- Wang Yu <wangyu@uniontch.com>  Tue, 13 May 2025 15:10:15 +0800

fcitx5 (5.1.11-2deepin5) unstable; urgency=medium

  * improve -r flag handling in fcitx5-start script

 -- Wang Yu <wangyu@uniontch.com>  Wed, 09 Apr 2025 10:40:27 +0800

fcitx5 (5.1.11-2deepin4) unstable; urgency=medium

  * add log management for fcitx5-start script.

 -- Wang Yu <wangyu@uniontch.com>  Tue, 01 Apr 2025 14:36:50 +0800

fcitx5 (5.1.11-2deepin3) unstable; urgency=medium

  * add enable autostart

 -- Chengqi E <echengqi@uniontech.com>  Fri, 10 Jan 2025 13:50:33 +0800

fcitx5 (5.1.11-2deepin2) unstable; urgency=medium

  * Disable the default shortcut key for altTriggerKeys

 -- Wang Yu <wangyu@uniontech.com>  Wed, 11 Dec 2024 11:03:51 +0800

fcitx5 (5.1.11-2deepin1) unstable; urgency=medium

  * New upstream release.
  * Remove useless patch. 

 -- xiangzelong <xiangzelong@deepin.org>  Fri, 06 Dec 2024 17:18:39 +0800

fcitx5 (5.1.11-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Make fcitx5 build and hopefully install also on non-Linux architectures:
    - add the dh-exec build dependency to add architecture filtering in install
      files
    - install the Wayland-related files only on Linux
    - limit the fcitx5-module-wayland provides in fcitx5-modules as linux-any,
      as Wayland modules are available only on Linux

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Move main package description to source package section.

 -- Boyuan Yang <byang@debian.org>  Sat, 12 Oct 2024 11:04:06 -0400

fcitx5 (5.1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 18:29:55 -0400
